Bug 15556 - raw2gif (maybe others) doesn't work on sparc
raw2gif (maybe others) doesn't work on sparc
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: libungif (Show other bugs)
1.0
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-06 08:26 EDT by Bert de Bruijn
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-07 10:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bert de Bruijn 2000-08-06 08:26:53 EDT
raw2gif dumps core, while the same data and arguments work fine on ix86.
$ raw2gif -s 1152 892 /tmp/shot2.raw > /tmp/shot2-test.gif
Segmentation fault (core dumped)
$ rpm -q libungif-progs
libungif-progs-4.1.0-6

(/tmp/shot2.raw is the result of a 
dd if=/dev/fb0 of=/tmp/shot2.raw bs=1
$ ls -l /tmp/shot2.raw 
-rw-r--r--    1 root     root      1027776 Aug  5 16:30 /tmp/shot2.raw

On intel, it does work, and results in files like
http://www.ccl.kuleuven.ac.be/~bob/aview-curses.png
http://www.ccl.kuleuven.ac.be/~bob/aview-slang.png
(these images are converted to png using convert from the ImageMagick
package).
(these were screenshots for bug 15193, that has been resolved now).
Comment 1 Bernhard Rosenkraenzer 2000-08-07 10:49:24 EDT
Does it work if you recompile with an older gcc? This looks suspiciously like a
compiler problem.
Comment 2 Bernhard Rosenkraenzer 2001-06-01 10:50:26 EDT
sparc support has been dropped.

Note You need to log in before you can comment on or make changes to this bug.